QCAT - Feature #1904

Add link to CBP on Qcat landing page

07 Jul 2020 09:54 - Tatenda Lemann

Status: Closed Start date: 07 Jul 2020
Priority: High Due date: 31 Jul 2020
Assignee: Tatenda Lemann % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Carbon Benefit Spent time: 0.00 hour
Resolution:

Description
History

#1 - 07 Jul 2020 09:56 - Tatenda Lemann

- Status changed from Accepted to In Progress

#2 - 07 Jul 2020 09:57 - Tatenda Lemann

- Status changed from In Progress to Accepted

#3 - 28 Jan 2022 14:51 - Kurt Gerber

- Status changed from Accepted to Closed
